package com.xhpc.common.data.up;

//充电桩与 BMS 充电过程 BMS 信息
public class BmsChargingData extends BaseData {

    private String orderNo; //交易流水号
    private String pileNo; //桩号
    private String gunId; //枪号
    private String maxMonoBatVoltId; //BMS 最高单体动力蓄电池电压所在编号
    private String maxBatTemperature; //BMS 最高动力蓄电池温度
    private String maxTempCheckPntId; //BMS 最高温度检测点编号
    private String miniBatTemperature; //最低动力蓄电池温度
    private String miniBatTempCheckPntId; //最低动力蓄电池温度检测点编号
    private String monoBatVoltExtreme; //BMS 单体动力蓄电池电压过高/过低
    private String vehicleBatSocExtreme; //BMS 整车动力蓄电池荷电状态SOC 过高/过低
    private String batChargeCurrentExtreme; //BMS 动力蓄电池充电过电流
    private String batTemperatureExtreme; //BMS 动力蓄电池温度过高
    private String batInsulation; //BMS 动力蓄电池绝缘状态
    private String batPackOutConnStatus; //BMS 动力蓄电池组输出连接器连接状态
    private String chargingForbidden; //充电禁止

    public String getOrderNo() {

        return orderNo;
    }

    public void setOrderNo(String orderNo) {

        this.orderNo = orderNo;
    }

    public String getPileNo() {

        return pileNo;
    }

    public void setPileNo(String pileNo) {

        this.pileNo = pileNo;
    }

    public String getGunId() {

        return gunId;
    }

    public void setGunId(String gunId) {

        this.gunId = gunId;
    }

    public String getMaxMonoBatVoltId() {

        return maxMonoBatVoltId;
    }

    public void setMaxMonoBatVoltId(String maxMonoBatVoltId) {

        this.maxMonoBatVoltId = maxMonoBatVoltId;
    }

    public String getMaxBatTemperature() {

        return maxBatTemperature;
    }

    public void setMaxBatTemperature(String maxBatTemperature) {

        this.maxBatTemperature = maxBatTemperature;
    }

    public String getMaxTempCheckPntId() {

        return maxTempCheckPntId;
    }

    public void setMaxTempCheckPntId(String maxTempCheckPntId) {

        this.maxTempCheckPntId = maxTempCheckPntId;
    }

    public String getMiniBatTemperature() {

        return miniBatTemperature;
    }

    public void setMiniBatTemperature(String miniBatTemperature) {

        this.miniBatTemperature = miniBatTemperature;
    }

    public String getMiniBatTempCheckPntId() {

        return miniBatTempCheckPntId;
    }

    public void setMiniBatTempCheckPntId(String miniBatTempCheckPntId) {

        this.miniBatTempCheckPntId = miniBatTempCheckPntId;
    }

    public String getMonoBatVoltExtreme() {

        return monoBatVoltExtreme;
    }

    public void setMonoBatVoltExtreme(String monoBatVoltExtreme) {

        this.monoBatVoltExtreme = monoBatVoltExtreme;
    }

    public String getVehicleBatSocExtreme() {

        return vehicleBatSocExtreme;
    }

    public void setVehicleBatSocExtreme(String vehicleBatSocExtreme) {

        this.vehicleBatSocExtreme = vehicleBatSocExtreme;
    }

    public String getBatChargeCurrentExtreme() {

        return batChargeCurrentExtreme;
    }

    public void setBatChargeCurrentExtreme(String batChargeCurrentExtreme) {

        this.batChargeCurrentExtreme = batChargeCurrentExtreme;
    }

    public String getBatTemperatureExtreme() {

        return batTemperatureExtreme;
    }

    public void setBatTemperatureExtreme(String batTemperatureExtreme) {

        this.batTemperatureExtreme = batTemperatureExtreme;
    }

    public String getBatInsulation() {

        return batInsulation;
    }

    public void setBatInsulation(String batInsulation) {

        this.batInsulation = batInsulation;
    }

    public String getBatPackOutConnStatus() {

        return batPackOutConnStatus;
    }

    public void setBatPackOutConnStatus(String batPackOutConnStatus) {

        this.batPackOutConnStatus = batPackOutConnStatus;
    }

    public String getChargingForbidden() {

        return chargingForbidden;
    }

    public void setChargingForbidden(String chargingForbidden) {

        this.chargingForbidden = chargingForbidden;
    }

}
